// event.h

#include "copyright.h"

#ifndef EVENT_H
#define EVENT_H

#include "synchlist.h"

typedef enum
{
  Event_NEW_FRAME,
  Event_ACK_RECEIVED,
  Event_REJECT_RECEIVED,
  Event_TIMER_EXPIRATION,
  Event_FRAME_USED, // [V5]
  Event_NUM_RECEIVED, // [V5]
  Event_TIMER_NUM_EXPIRATION // [V6]
}
TypeEvent;

class Evenement
{
public:
  Evenement (TypeEvent t, unsigned trame = 0)
  {
    type = t;
    num = trame;
  }
  TypeEvent type;		// type de l'vnement
  unsigned num;			// numro de trame concerne (le cas chant)

  void Print (void);
};

class ListeEvenements
{
public:
  ListeEvenements ();
  ~ListeEvenements ();

  void Generer (Evenement * e);
  Evenement *Recuperer ();

private:
    SynchList * events;
};

#endif
